<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Casts the column to a different data type.</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for cast {SparkR}"><tr><td>cast {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Casts the column to a different data type.</h2>

<h3>Description</h3>

<p>Casts the column to a different data type.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
cast(x, dataType)
</pre>


<h3>See Also</h3>

<p>Other colum_func: <code><a href="alias.html">alias</a></code>;
<code><a href="column.html">between</a></code>; <code><a href="otherwise.html">otherwise</a></code>;
<code><a href="substr.html">substr</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
  cast(df$age, "string")
  cast(df$name, list(type="array", elementType="byte", containsNull = TRUE))

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
